var modeNode = getNode('mode');
var funcNode = getNode('func');

// 起動時に呼ばれます
function onLoad() {
    setStr(funcNode, 'onLoad() が呼ばれました');
    setStr(modeNode, '現在ノーマル・モードです');
}

// フォーカス・モード遷移時に呼ばれます
function onFocus() {
    setStr(funcNode, 'onFocus() が呼ばれました');
    setStr(modeNode, '現在フォーカス・モードです');
}

// フォーカス・モードからノーマル・モードへの遷移時に呼ばれます
function onUnfocus() {
    setStr(funcNode, 'onUnfocus() が呼ばれました');
    setStr(modeNode, '現在ノーマル・モードです');
}

// アクティブ・モード遷移時に呼ばれます
function onActivate() {
    setStr(funcNode, 'onActivate() が呼ばれました');
    setStr(modeNode, '現在アクティブモードです');
    loadImage(getNode('active-bg'), 'img/active-bg.png');
}

// 上キー押下時に呼ばれます(フォーカス/アクティブ・モード)
function onUpKey() {
    setStr(funcNode, 'onUpKey() が呼ばれました');
}

// 下キー押下時に呼ばれます(フォーカス/アクティブ・モード)
function onDownKey() {
    setStr(funcNode, 'onDownKey() が呼ばれました');
}

// 右キー押下時に呼ばれます(フォーカス/アクティブ・モード)
function onRightKey() {
    setStr(funcNode, 'onRightKey() が呼ばれました');
}

// 左キー押下時に呼ばれます(フォーカス/アクティブ・モード)
function onLeftKey() {
    setStr(funcNode, 'onLeftKey() が呼ばれました');
}

// 決定キー押下時に呼ばれます(アクティブ・モード)
// type : 0 pressed, 1 released
function onConfirmKey(type) {
    setStr(funcNode, 'onConfirmKey(' + type + ') が呼ばれました');
}

// 青キー押下時に呼ばれます(アクティブ・モード)
function onBlueKey() {
    setStr(funcNode, 'onBlueKey() が呼ばれました');
}

// 赤キー押下時に呼ばれます(アクティブ・モード)
function onRedKey() {
    setStr(funcNode, 'onRedKey() が呼ばれました');
}

// 緑キー押下時に呼ばれます(アクティブ・モード)
function onGreenKey() {
    setStr(funcNode, 'onGreenKey() が呼ばれました');
}

// 黄キー押下時に呼ばれます(アクティブ・モード)
function onYellowKey() {
    setStr(funcNode, 'onYellowKey() が呼ばれました');
}

